D4Science Infrastructure - Task #6308

Task # 6309 (Closed): D4Science Infrastructure migration to Java 8

Migrate production infrastructure nodes to Java 8
Jan 09, 2017 03:25 PM - Massimiliano Assante

Status: Closed Start date: Jan 09, 2017
Priority: Normal Due date: Feb 24, 2017
Assignee: _InfraScience Systems Engineer % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: Migrating to Java 8

Infrastructure: Production

Description

This is a master ticket to track the production infrastructure nodes migration to Java 8. (Due date is tentative)

History

#1 - Jan 09, 2017 03:37 PM - Massimiliano Assante
- Parent task set to #6309

#2 - Jun 19, 2017 05:16 PM - Massimiliano Assante

- Status changed from New to In Progress

Should we consider this completed?

#3 - Jun 21, 2017 11:21 AM - Gabriele Giammatteo

from the information | have, all the "migrable" nodes have been migrated. The remaining nodes are the ones running gCore services not compatible
with Java 8 and the migration for them is not planned (we can identify and open a new ticket for them).

If any infrastructure manager can confirm, the ticket can be closed.

#4 - Jun 21, 2017 02:52 PM - Andrea Dell'Amico

Some machines around are still running java 7. | see tagme.d4science.org, sharelatex.d4science.org, the CNR hosted rstudio instances. Nothing
problematic | guess.

#5 - Jun 21, 2017 02:53 PM - Andrea Dell'Amico
- % Done changed from 0 to 80

#6 - Aug 13, 2017 03:25 PM - Andrea Dell'Amico

Also the geonetwork servers run with Java7, it's an old version that do not work with java 8.

#7 - Apr 12, 2018 02:33 PM - Andrea Dell'Amico
- Status changed from In Progress to Closed

- % Done changed from 80 to 100

The migration is complete (since a while).

May 02, 2025 1/1



http://www.tcpdf.org

